package dnanalytics.view.tools.sift;

import dnanalytics.utils.Browser;
import dnanalytics.view.DNAMain;
import dnanalytics.view.tools.Tool;
import dnanalytics.worker.Worker;
import java.io.IOException;
import java.util.ResourceBundle;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Node;


public class SIFTAnnotation implements Tool{

    @FXML
    private static ResourceBundle resources = DNAMain.getResources();

    @FXML
    void siftIndels(ActionEvent event) {
        Browser.browse("http://sift.bii.a-star.edu.sg/www/SIFT_indels2.html");
    }

    @FXML
    void siftRestrict(ActionEvent event) {
        Browser.browse("http://sift.bii.a-star.edu.sg/www/SIFT_intersect_coding_submit.html");
    }

    @FXML
    void siftSNP(ActionEvent event) {
        Browser.browse("http://siftdna.org/www/Extended_SIFT_chr_coords_submit.html");
    }

    @FXML
    void annovar(ActionEvent event) {
        Browser.browse("http://wannovar.usc.edu/");
    }
    
    @Override
    public Node getView() {
        try {
            return FXMLLoader.load(getClass().getResource("SIFTAnnotation.fxml"), DNAMain.getResources());
        } catch (IOException ex) {
            return null;
        }
    }

    @Override
    public Worker getWorker() {
        return null;
    }

    @Override
    public String getTitle() {
        return resources.getString("sift.title");
    }

    @Override
    public String getStyleID() {
        return "siftAnnotation";
    }

}
